## org.eclipse.emf.edit.provider
Class AdapterFactoryItemDelegator

    java.lang.Object
      org.eclipse.emf.edit.provider.AdapterFactoryItemDelegator

All Implemented Interfaces:
  IEditingDomainItemProvider, IItemColorProvider, IItemFontProvider, IItemLabelProvider, IItemPropertySource, IStructuredItemContentProvider, ITableItemColorProvider, ITableItemFontProvider, ITableItemLabelProvider, ITreeItemContentProvider

Direct Known Subclasses:
  ItemPropertyDescriptor.ItemDelegator

    public class AdapterFactoryItemDelegator

extends java.lang.Object
implements IEditingDomainItemProvider, IItemLabelProvider, IItemFontProvider, IItemColorProvider, IItemPropertySource, IStructuredItemContentProvider, ITableItemLabelProvider, ITableItemColorProvider, ITableItemFontProvider, ITreeItemContentProvider

Field Summary
`protected AdapterFactory` `adapterFactory` This keeps track of the factory used to generate the adapters.

Fields inherited from interface org.eclipse.emf.edit.provider.IItemFontProvider
`BOLD_FONT, BOLD_ITALIC_FONT, ITALIC_FONT, NORMAL_FONT`

Fields inherited from interface org.eclipse.emf.edit.provider.IItemColorProvider
`GRAYED_OUT_COLOR`

Constructor Summary
`AdapterFactoryItemDelegator(AdapterFactory adapterFactory)`

Method Summary
`Command` `createCommand(java.lang.Object object, EditingDomain editingDomain, java.lang.Class<? extends Command> commandClass, CommandParameter commandParameter)` This does the same thing as `EditingDomain.createCommand`, i.e., it creates commands for a domain's model objects.
`AdapterFactory` `getAdapterFactory()`
`java.lang.Object` `getBackground(java.lang.Object object)` This does the same thing as IColorProvider.getBackground, it fetches the foreground color specific to this object instance.
`java.lang.Object` `getBackground(java.lang.Object object, int columnIndex)` This does the same thing as ITableColorProvider.getBackground.
`java.util.Collection<?>` `getChildren(java.lang.Object object)` This does the same thing as ITreeContentProvider.getChildren.
`java.lang.Object` `getColumnImage(java.lang.Object object, int columnIndex)` This does the same thing as ITableLabelProvider.getColumnImage.
`java.lang.String` `getColumnText(java.lang.Object object, int columnIndex)` This does the same thing as ITableLabelProvider.getColumnText.
`java.lang.Object` `getEditableValue(java.lang.Object object)` This returns the value to be edited.
`java.util.Collection<?>` `getElements(java.lang.Object object)` This does the same thing as IStructuredContentProvider.getElements.
`java.lang.Object` `getFont(java.lang.Object object)` This does the same thing as IFontProvider.getFont, it fetches the font specific to this object instance.
`java.lang.Object` `getFont(java.lang.Object object, int columnIndex)` This does the same thing as ITableFontProvider.getFont.
`java.lang.Object` `getForeground(java.lang.Object object)` This does the same thing as IColorProvider.getForeground, it fetches the foreground color specific to this object instance.
`java.lang.Object` `getForeground(java.lang.Object object, int columnIndex)` This does the same thing as ITableColorProvider.getForeground.
`java.lang.Object` `getImage(java.lang.Object object)` This does the same thing as ILabelProvider.getImage, it fetches the label image specific to this object instance.
`java.util.Collection<?>` `getNewChildDescriptors(java.lang.Object object, EditingDomain editingDomain, java.lang.Object sibling)` This returns a list of objects describing the different children that can be added under the specified object in the editing domain, following the specified sibling as closely as possible (if non-null).
`java.lang.Object` `getParent(java.lang.Object object)` This does the same thing as ITreeContentProvider.getParent.
`IItemPropertyDescriptor` `getPropertyDescriptor(java.lang.Object object, java.lang.Object propertyId)` This returns the property descriptor with an `ID` or `feature` that matches the given ID.
`java.util.List<IItemPropertyDescriptor>` `getPropertyDescriptors(java.lang.Object object)` This does the same thing as IPropertySource.getPropertyDescriptors.
`java.lang.String` `getText(java.lang.Object object)` This does the same thing as ILabelProvider.getText, it fetches the label text specific to this object instance.
`boolean` `hasChildren(java.lang.Object object)` This does the same thing as ITreeContentProvider.hasChildren.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### adapterFactory

    protected AdapterFactory adapterFactory

  This keeps track of the factory used to generate the adapters.

Constructor Detail

### AdapterFactoryItemDelegator

    public AdapterFactoryItemDelegator(AdapterFactory adapterFactory)

Method Detail

### getAdapterFactory

    public AdapterFactory getAdapterFactory()

### getText

    public java.lang.String getText(java.lang.Object object)

  This does the same thing as ILabelProvider.getText, it fetches the label text specific to this object instance.

  Specified by:
    `getText` in interface `IItemLabelProvider`

### getImage

    public java.lang.Object getImage(java.lang.Object object)

  This does the same thing as ILabelProvider.getImage, it fetches the label image specific to this object instance.

  Specified by:
    `getImage` in interface `IItemLabelProvider`

### getFont

    public java.lang.Object getFont(java.lang.Object object)

  This does the same thing as IFontProvider.getFont, it fetches the font specific to this object instance.

  Specified by:
    `getFont` in interface `IItemFontProvider`

### getForeground

    public java.lang.Object getForeground(java.lang.Object object)

  This does the same thing as IColorProvider.getForeground, it fetches the foreground color specific to this object instance.

  Specified by:
    `getForeground` in interface `IItemColorProvider`

### getBackground

    public java.lang.Object getBackground(java.lang.Object object)

  This does the same thing as IColorProvider.getBackground, it fetches the foreground color specific to this object instance.

  Specified by:
    `getBackground` in interface `IItemColorProvider`

### getColumnText

    public java.lang.String getColumnText(java.lang.Object object,
                                          int columnIndex)

  This does the same thing as ITableLabelProvider.getColumnText.

  Specified by:
    `getColumnText` in interface `ITableItemLabelProvider`

### getColumnImage

    public java.lang.Object getColumnImage(java.lang.Object object,
                                           int columnIndex)

  This does the same thing as ITableLabelProvider.getColumnImage.

  Specified by:
    `getColumnImage` in interface `ITableItemLabelProvider`

### getFont

    public java.lang.Object getFont(java.lang.Object object,
                                    int columnIndex)

  This does the same thing as ITableFontProvider.getFont.

  Specified by:
    `getFont` in interface `ITableItemFontProvider`

### getForeground

    public java.lang.Object getForeground(java.lang.Object object,
                                          int columnIndex)

  This does the same thing as ITableColorProvider.getForeground.

  Specified by:
    `getForeground` in interface `ITableItemColorProvider`

### getBackground

    public java.lang.Object getBackground(java.lang.Object object,
                                          int columnIndex)

  This does the same thing as ITableColorProvider.getBackground.

  Specified by:
    `getBackground` in interface `ITableItemColorProvider`

### getPropertyDescriptors

    public java.util.List<IItemPropertyDescriptor> getPropertyDescriptors(java.lang.Object object)

  Description copied from interface: `IItemPropertySource`
  This does the same thing as IPropertySource.getPropertyDescriptors.

  Specified by:
    `getPropertyDescriptors` in interface `IItemPropertySource`

### getPropertyDescriptor

    public IItemPropertyDescriptor getPropertyDescriptor(java.lang.Object object,
                                                         java.lang.Object propertyId)

  Description copied from interface: `IItemPropertySource`
  This returns the property descriptor with an `ID` or `feature` that matches the given ID.

  Specified by:
    `getPropertyDescriptor` in interface `IItemPropertySource`

### getEditableValue

    public java.lang.Object getEditableValue(java.lang.Object object)

  Description copied from interface: `IItemPropertySource`
  This returns the value to be edited.

  Specified by:
    `getEditableValue` in interface `IItemPropertySource`

### getElements

    public java.util.Collection<?> getElements(java.lang.Object object)

  This does the same thing as IStructuredContentProvider.getElements.

  Specified by:
    `getElements` in interface `IStructuredItemContentProvider`

### getChildren

    public java.util.Collection<?> getChildren(java.lang.Object object)

  This does the same thing as ITreeContentProvider.getChildren.

  Specified by:
    `getChildren` in interface `IEditingDomainItemProvider`
  Specified by:
    `getChildren` in interface `ITreeItemContentProvider`

### hasChildren

    public boolean hasChildren(java.lang.Object object)

  This does the same thing as ITreeContentProvider.hasChildren.

  Specified by:
    `hasChildren` in interface `ITreeItemContentProvider`

### getParent

    public java.lang.Object getParent(java.lang.Object object)

  This does the same thing as ITreeContentProvider.getParent.

  Specified by:
    `getParent` in interface `IEditingDomainItemProvider`
  Specified by:
    `getParent` in interface `ITreeItemContentProvider`

### getNewChildDescriptors

    public java.util.Collection<?> getNewChildDescriptors(java.lang.Object object,
                                                          EditingDomain editingDomain,
                                                          java.lang.Object sibling)

  This returns a list of objects describing the different children that can be added under the specified object in the editing domain, following the specified sibling as closely as possible (if non-null).

  Specified by:
    `getNewChildDescriptors` in interface `IEditingDomainItemProvider`

### createCommand

    public Command createCommand(java.lang.Object object,
                                 EditingDomain editingDomain,
                                 java.lang.Class<? extends Command> commandClass,
                                 CommandParameter commandParameter)

  This does the same thing as `EditingDomain.createCommand`, i.e., it creates commands for a domain's model objects.

  Specified by:
    `createCommand` in interface `IEditingDomainItemProvider`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.